Update group
Updates a specific group. Only admins of this group or users with admin-level permissions will be able to use this API.
Authorizations
Query Parameters
A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.
Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.
Body
Keeps track of which external source this group is coming, for example Active Directory, or Okta.
Setting this will also prevent Box admins from editing the group name and its members directly via the Box web application.
This is desirable for one-way syncing of groups.
255"Active Directory"
An arbitrary identifier that can be used by external group sync tools to link this Box Group to an external group.
Example values of this field could be an Active Directory Object ID or a Google Group ID.
We recommend you use of this field in order to avoid issues when group names are updated in either Box or external systems.
"AD:123456"
Specifies who can invite the group to collaborate on folders.
When set to admins_only the enterprise admin, co-admins, and the group's admin can invite the group.
When set to admins_and_members all the admins listed above and group members can invite the group.
When set to all_managed_users all managed users in the enterprise can invite the group.
admins_only, admins_and_members, all_managed_users "admins_only"
Specifies who can see the members of the group.
admins_only- the enterprise admin, co-admins, group's group admin.admins_and_members- all admins and group members.all_managed_users- all managed users in the enterprise.
admins_only, admins_and_members, all_managed_users "admins_only"
Response
Returns the updated group object.
Groups contain a set of users, and can be used in place of users in some operations, such as collaborations.
Keeps track of which external source this group is coming from (e.g. "Active Directory", "Google Groups", "Facebook Groups"). Setting this will also prevent Box users from editing the group name and its members directly via the Box web application. This is desirable for one-way syncing of groups.
255"Active Directory"
An arbitrary identifier that can be used by external group sync tools to link this Box Group to an external group. Example values of this field could be an Active Directory Object ID or a Google Group ID. We recommend you use of this field in order to avoid issues when group names are updated in either Box or external systems.
"AD:123456"
Specifies who can invite the group to collaborate on items.
When set to admins_only the enterprise admin, co-admins, and the group's admin can invite the group.
When set to admins_and_members all the admins listed above and group members can invite the group.
When set to all_managed_users all managed users in the enterprise can invite the group.
admins_only, admins_and_members, all_managed_users "admins_only"
Specifies who can view the members of the group (Get Memberships for Group).
admins_only- the enterprise admin, co-admins, group's group admin.admins_and_members- all admins and group members.all_managed_users- all managed users in the enterprise.
admins_only, admins_and_members, all_managed_users "admins_only"
